Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1022795

Summary: PRD35 - [RFE] Disk alias recycling in web-admin portal
Product: Red Hat Enterprise Virtualization Manager Reporter: Murray Ketchion <mketchio>
Component: RFEsAssignee: Tal Nisan <tnisan>
Status: CLOSED ERRATA QA Contact: Kevin Alon Goldblatt <kgoldbla>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.2.0CC: acanan, adahms, amureini, ecohen, gklein, gwatson, iheim, jentrena, juwu, lpeer, rbalakri, Rhev-m-bugs, sbonazzo, scohen, tnisan, yeylon, ylavi
Target Milestone: ---Keywords: FutureFeature, Improvement, ZStream
Target Release: 3.5.0Flags: scohen: Triaged+
Hardware: Unspecified   
OS: All   
Whiteboard: storage
Fixed In Version: vt2.2 Doc Type: Enhancement
Doc Text:
Previously, when creating a virtual machine disk, the Administration Portal suggested a default disk alias consisting of 'VMname+_disk+number'. The number came from the total amount of virtual machines disks plus 1. For example, for a virtual machine name 'V1' with 3 existing disks, the suggested name was'V1_disk4. However, the suggestion mode did not recycle disk aliases correctly. If a disk was deleted, the number was not reused. With this update, the suggestion mode recycled the unused numbers to form new virtual machine disk aliases.
Story Points: ---
Clone Of:
: 1083312 (view as bug list) Environment:
Last Closed: 2015-02-11 17:55:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Storage RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1083312    
Bug Blocks: 1142923, 1156165    

Description Murray Ketchion 2013-10-24 05:07:53 UTC
Description of problem:
Disk alias recycling in web-admin portal

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

Steps to Reproduce:
1) Create VM with single disk.
(Disk Tab shows disk server_Disk1)
2) Add another disk.
(Disk Tab shows disk server_Disk1 and server_Disk2)
3) Delete orginal disk
(Disk Tab shows disk server_Disk2)
4) Add another disk
(Disk Tab shows disk server_Disk2 and server_Disk2)

Actual results:
(Disk Tab shows disk server_Disk2 and server_Disk2)

Expected results:
Disk creation dialog provides warning and does not permit two disks of the same alias.  Perhaps suggests new alias based on an incremental counter.

Additional info:

Comment 5 Ayal Baron 2013-10-27 08:49:23 UTC
Disk aliases are not unique by design.
There is for example no reason to limit 2 disks attached to different VMs from having the same alias (e.g. disk1).
Preventing dups would mean that you could not detach both of these disks without changing the alias of at least one of them which seems a bit limiting.

However, when giving an automatic alias to a disk attached to a vm, it should not be the same as another disk that is already attached.

Comment 11 Aharon Canan 2014-08-21 13:42:33 UTC
Failed basic flow - no recycling.

Steps to Reproduce:
1) Create VM with single disk.
(Disk Tab shows disk server_Disk1)
2) Add another disk.
(Disk Tab shows disk server_Disk1 and server_Disk2)
3) Delete orginal disk
(Disk Tab shows disk server_Disk2)
4) Add another disk

results - 
we got server_Disk3 instead of server_Disk1 again.

Comment 13 Aharon Canan 2014-09-14 06:08:42 UTC
verified using vt2.2

https://tcms.engineering.redhat.com/run/163712/

Comment 17 errata-xmlrpc 2015-02-11 17:55:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html